This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 513815

Summary: xmodmap -e 'clear lock'
Product: [Fedora] Fedora Reporter: Kim B. Heino <b>
Component: xkeyboard-configAssignee: Peter Hutterer <peter.hutterer>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: krh, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-09 18:37:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Kim B. Heino 2009-07-26 06:13:55 EDT
Bug #508434 describes about altgr. When altgr got broken, xmodmap got also broken. Altgr is now fixed, but xmodmap is not. Initial state:

b@enter:~> xmodmap
xmodmap:  up to 4 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e)
lock        Caps_Lock (0x42)
control     Control_L (0x25),  Control_R (0x69)
mod1        Alt_L (0x40),  Meta_L (0xcd)
mod2        Num_Lock (0x4d)
mod3      
mod4        Super_L (0x85),  Multi_key (0x86),  Super_L (0xce),  Hyper_L (0xcf)
mod5        ISO_Level3_Shift (0x5c),  Mode_switch (0xcb)


If I try to clear modifier everything gets mixed up:

b@enter:~> xmodmap -e 'clear lock'
b@enter:~> xmodmap
xmodmap:  up to 8 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e),  Alt_L (0x40),  Super_L (0x85),  Multi_key (0x86),  Meta_L (0xcd),  Super_L (0xce),  Hyper_L (0xcf)
lock        Control_L (0x25),  Alt_L (0x40),  ISO_Level3_Shift (0x5c),  Control_R (0x69),  Mode_switch (0xcb),  Meta_L (0xcd)
control     Num_Lock (0x4d),  ISO_Level3_Shift (0x5c),  Super_L (0x85),  Multi_key (0x86),  Mode_switch (0xcb),  Super_L (0xce),  Hyper_L (0xcf)
mod1      
mod2      
mod3      
mod4      
mod5      


If I try to clear it again I get an error:

b@enter:~> xmodmap -e 'clear lock'
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  118 (X_SetModifierMapping)
  Value in failed request:  0x17
  Serial number of failed request:  8
  Current serial number in output stream:  8


setxkbmap will fix it:

b@enter:~> setxkbmap -layout fi
b@enter:~> xmodmap
xmodmap:  up to 4 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e)
lock        Caps_Lock (0x42)
control     Control_L (0x25),  Control_R (0x69)
mod1        Alt_L (0x40),  Meta_L (0xcd)
mod2        Num_Lock (0x4d)
mod3      
mod4        Super_L (0x85),  Multi_key (0x86),  Super_L (0xce),  Hyper_L (0xcf)
mod5        ISO_Level3_Shift (0x5c),  Mode_switch (0xcb)


Package list:

b@enter:~> rpm -qa xorg* | sort
xorg-x11-apps-7.4-1.fc12.x86_64
xorg-x11-drivers-7.3-11.fc11.x86_64
xorg-x11-drv-acecad-1.3.0-2.fc12.x86_64
xorg-x11-drv-aiptek-1.2.0-2.fc12.x86_64
xorg-x11-drv-apm-1.2.1-3.fc12.1.x86_64
xorg-x11-drv-ast-0.87.0-3.fc12.1.x86_64
xorg-x11-drv-ati-6.12.2-19.fc12.1.x86_64
xorg-x11-drv-cirrus-1.3.1-1.fc12.1.x86_64
xorg-x11-drv-dummy-0.3.2-1.fc12.1.x86_64
xorg-x11-drv-elographics-1.2.3-3.fc12.x86_64
xorg-x11-drv-evdev-2.2.99-3.20090629.fc12.1.x86_64
xorg-x11-drv-fbdev-0.4.0-5.fc12.1.x86_64
xorg-x11-drv-fpit-1.3.0-3.fc12.x86_64
xorg-x11-drv-glint-1.2.3-1.fc12.1.x86_64
xorg-x11-drv-hyperpen-1.3.0-2.fc12.x86_64
xorg-x11-drv-i128-1.3.2-1.fc12.1.x86_64
xorg-x11-drv-i740-1.3.1-1.fc12.1.x86_64
xorg-x11-drv-intel-2.8.0-0.3.fc12.x86_64
xorg-x11-drv-keyboard-1.3.99-2.20090715.fc12.1.x86_64
xorg-x11-drv-mach64-6.8.1-1.fc12.x86_64
xorg-x11-drv-mga-1.4.10-2.fc12.1.x86_64
xorg-x11-drv-mouse-1.4.99-2.20090619.fc12.1.x86_64
xorg-x11-drv-mutouch-1.2.1-3.fc12.x86_64
xorg-x11-drv-nouveau-0.0.14-3.20090717gitb1b2330.fc12.x86_64
xorg-x11-drv-nv-2.1.14-1.fc12.1.x86_64
xorg-x11-drv-openchrome-0.2.903-12.fc12.x86_64
xorg-x11-drv-penmount-1.4.0-3.fc12.x86_64
xorg-x11-drv-r128-6.8.0-3.fc12.1.x86_64
xorg-x11-drv-rendition-4.2.2-1.fc12.1.x86_64
xorg-x11-drv-s3virge-1.10.3-1.fc12.1.x86_64
xorg-x11-drv-savage-2.3.0-1.fc12.1.x86_64
xorg-x11-drv-siliconmotion-1.7.2-1.fc12.1.x86_64
xorg-x11-drv-sis-0.10.1-3.fc12.1.x86_64
xorg-x11-drv-sisusb-0.9.2-1.fc12.1.x86_64
xorg-x11-drv-synaptics-1.1.99-3.20090717.fc12.x86_64
xorg-x11-drv-tdfx-1.4.2-1.fc12.1.x86_64
xorg-x11-drv-trident-1.3.2-1.fc12.1.x86_64
xorg-x11-drv-v4l-0.2.0-2.fc12.1.x86_64
xorg-x11-drv-vesa-2.2.0-3.fc12.1.x86_64
xorg-x11-drv-vmmouse-12.6.4-2.fc12.1.x86_64
xorg-x11-drv-vmware-10.16.0-4.fc12.1.x86_64
xorg-x11-drv-void-1.2.0-2.fc12.1.x86_64
xorg-x11-drv-voodoo-1.2.2-1.fc12.1.x86_64
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-fonts-100dpi-7.2-8.fc11.noarch
xorg-x11-fonts-75dpi-7.2-8.fc11.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-fonts-Type1-7.2-8.fc11.noarch
xorg-x11-font-utils-7.2-7.fc11.x86_64
xorg-x11-proto-devel-7.4-24.fc12.noarch
xorg-x11-server-common-1.6.99-17.20090724.fc12.x86_64
xorg-x11-server-utils-7.4-10.fc12.x86_64
xorg-x11-server-Xorg-1.6.99-17.20090724.fc12.x86_64
xorg-x11-twm-1.0.3-4.fc11.x86_64
xorg-x11-util-macros-1.2.2-1.fc12.noarch
xorg-x11-utils-7.4-5.fc12.x86_64
xorg-x11-xauth-1.0.2-6.fc11.x86_64
xorg-x11-xinit-1.0.9-11.fc12.x86_64
xorg-x11-xinit-session-1.0.9-11.fc12.x86_64
xorg-x11-xkb-utils-7.4-4.fc12.x86_64
Comment 1 Peter Hutterer 2009-08-09 18:37:09 EDT
Please update to xorg-x11-server-1.6.99-29.20090807 or later, includes the fix for this bug.